<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['value', 'dataCallbackParams' => '', 'dataOnCloseUpdateModels' => '', 'action' => null]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['value', 'dataCallbackParams' => '', 'dataOnCloseUpdateModels' => '', 'action' => null]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<?php
if (!Illuminate\Support\Str::contains($action, [
    'http://',
    'https://'
])) {
if ($action) {
    $action = route($action);
}
}
$additionalAttributes = [];
if ($dataCallbackParams) {
    $additionalAttributes['data-callback-params'] = json_encode($dataCallbackParams);
}

if ($dataOnCloseUpdateModels) {
    $additionalAttributes['data-on-close-update-models'] = json_encode($dataOnCloseUpdateModels);
}
$ajaxFormClass = 'lw-ajax-form';
if ($attributes->get('data-ajax') === 'false') {
$ajaxFormClass = '';
}
?>
<form <?php if($action): ?> action="<?php echo e($action); ?>" <?php endif; ?>
    <?php echo e($attributes->merge(
    array_merge(
        [
            'class' => 'lw-form ' . $ajaxFormClass,
            'method' => 'POST',
            // 'data-secured' => "false",
            'data-show-processing' => 'true',
            'role' => 'form',
            'data-error-class' => 'has-danger',
        ],
        $additionalAttributes,
    ),
)); ?> novalidate>
    <?php echo csrf_field(); ?>
    <?php echo e($slot); ?>

    <div class="lw-form-overlay"></div>
</form>
<?php /**PATH /home/sms9/public_html/resources/views/components/lw/form.blade.php ENDPATH**/ ?>